#!/usr/local/php/bin/php -q
<?
	$samples = 32;
	$first = true;
	$bbValues = '';
	$envValues = '';
	for($t = 0; $t < M_PI; $t += M_PI/$samples) {
		$baseband = 0.5 + (cos($t)/2);
		$envelope = abs(cos($t));
		$bbValues .= sprintf('%s0x%02X', (($first)?(''):(', ')), 255 * $baseband);
		$envValues .= sprintf('%s0x%02X', (($first)?(''):(', ')), 255 * $envelope);
		if($first) $first = false;
	}
	printf("#define SAMPLES %d\n", $samples);
	printf("unsigned char basebandData[%d] PROGMEM = { %s };\n", $samples, $bbValues);
	printf("unsigned char envelopeData[%d] PROGMEM = { %s };\n", $samples, $envValues);
?>
